import 'package:get/get.dart';

import '../controllers/node_controller.dart';

class NodeBinding extends Bindings {
  @override
  void dependencies() {
    // 使用 putIfAbsent 或 find，如果不存在才创建，这样可以保持状态
    if (!Get.isRegistered<NodeController>()) {
      Get.put<NodeController>(
        NodeController(),
        permanent: true, // 设置为常驻，不会自动销毁
      );
    }
  }
}
